﻿#
# @file  exceptions_.py
# @date  2011-08-12
# @author Altan Tosun
'''
Fehler und Fehlerbehandlung
'''
from __future__ import print_function

class NameTooLong(TypeError):
    '''
    Der Name ist zu lang.
    '''

def text_greeting():
    '''
    Fragt nach Namen und grüßt
    '''
    # raw_input liest eine Zeichenkette in der Konsole
    name = raw_input('Name:')
    if len(name) > 8:
        err = NameTooLong('Der Name ist leider zu lang!')
        raise err
    greeting = 'Hallo ' + name
    print(greeting)

def text_greeting_():
    '''
    text_greeting mit Fehlerbehandlung
    '''
    try:
        text_greeting()
    except NameTooLong:
        print('Zu langer Name. Versuchen Sie es nochmal.')

    print('Programm _text_greeting_ Ende')

def text_greeting_loop():
    '''
    Laufen, bis der Name kurz genug ist
    '''

    while True:
        name = raw_input('Name:')
        if len(name) > 8:
            print('Neuer Versuch, bitte!')
            continue
        else:
            print('Hello ' + name)
            break
